Loading...
Searching...
No Matches
svn_prop_t Struct Reference
Properties management utilities

A general in-memory representation of a single property. More...

`#include <svn_props.h>`

## Data Fields

const char * | name
| Property name.
const svn_string_t * | value
| Property value.

## Detailed Description

A general in-memory representation of a single property.

Most of the time, property lists will be stored completely in hashes. But sometimes it's useful to have an "ordered" collection of properties, in which case we use an array of these structures.

Also: sometimes we want a list that represents a set of property changes, and in this case, an `apr_hash_t` won't work – there's no way to represent a property deletion, because we can't store a `NULL` value in a hash. So instead, we use these structures.

Definition at line 60 of file svn_props.h.

## Field Documentation

## name

const char* svn_prop_t::name

Property name.

Definition at line 62 of file svn_props.h.

## value

const svn_string_t* svn_prop_t::value

Property value.

Definition at line 63 of file svn_props.h.

The documentation for this struct was generated from the following file:

- svn_props.h